package com.yihu.jw.restmodel.emergency;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.care.contacts.PatientSosContactsDO;
import com.yihu.jw.entity.care.securitymonitoring.BaseEmergencyWarnLogDO;
import com.yihu.jw.entity.care.securitymonitoring.EmergencyWarnConclusionDO;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Created by Bing on 2021/5/21.
 */
public class EmergencyOrderVO {
    //预警信息
    private String id;
    private String orderId;
    private Integer status;//工单状态
    private String statusName;//工单状态
    private Date createTime;//工单发起时间
    private String serveLat;
    private String serveLon;
    private String serveAddress;
    private String patient;
    private String patientName;
    private Integer sex;
    private String age;
    private String liveAddress;
    private Integer orderSource; //工单发起来源状态 1APP 2手环 3居家报警

    //误报警字段
    private String updateUserName;//操作时间
    private String updateUser;//操作时间
    private Integer emergencyCancel;//紧急预警工单误报警原因 字典emergency_cancel
    private String emergencyCancelName;
    private Date updateTime;
    private String sceneImg;//工单发起是现场照片


    //附加信息
    private Map<String,Object> information;//附加信息（安防工单不同专题返回值不一样）
    private String phone;
    //围栏状态 fences

    //小结
    private EmergencyWarnConclusionDO emergencyWarnConclusionDO;//工单小结
    //通知对象
    private List<Map<String,Object>> noticePersons;//通知对象

    private String otherDoctorDistance;//其他医生定位信息
    private String topicItem;//安防工单专题code关联security_topic_dict字典
    private List<BaseEmergencyWarnLogDO> orderLogInfo;
    private List<PatientSosContactsDO> sosContacts;//紧急联系人
    private List<Map<String,Object>> securityDevices;//安防设备列表
    private String overTimeNotResponse;
    private Integer OrderType;//20紧急 22安防

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getServeLat() {
        return serveLat;
    }

    public void setServeLat(String serveLat) {
        this.serveLat = serveLat;
    }

    public String getServeLon() {
        return serveLon;
    }

    public void setServeLon(String serveLon) {
        this.serveLon = serveLon;
    }

    public String getServeAddress() {
        return serveAddress;
    }

    public void setServeAddress(String serveAddress) {
        this.serveAddress = serveAddress;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getLiveAddress() {
        return liveAddress;
    }

    public void setLiveAddress(String liveAddress) {
        this.liveAddress = liveAddress;
    }

    public Integer getOrderSource() {
        return orderSource;
    }

    public void setOrderSource(Integer orderSource) {
        this.orderSource = orderSource;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getEmergencyCancel() {
        return emergencyCancel;
    }

    public void setEmergencyCancel(Integer emergencyCancel) {
        this.emergencyCancel = emergencyCancel;
    }

    public String getEmergencyCancelName() {
        return emergencyCancelName;
    }

    public void setEmergencyCancelName(String emergencyCancelName) {
        this.emergencyCancelName = emergencyCancelName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Map<String, Object> getInformation() {
        return information;
    }

    public void setInformation(Map<String, Object> information) {
        this.information = information;
    }

    public EmergencyWarnConclusionDO getEmergencyWarnConclusionDO() {
        return emergencyWarnConclusionDO;
    }

    public void setEmergencyWarnConclusionDO(EmergencyWarnConclusionDO emergencyWarnConclusionDO) {
        this.emergencyWarnConclusionDO = emergencyWarnConclusionDO;
    }

    public List<Map<String, Object>> getNoticePersons() {
        return noticePersons;
    }

    public void setNoticePersons(List<Map<String, Object>> noticePersons) {
        this.noticePersons = noticePersons;
    }

    public String getOtherDoctorDistance() {
        return otherDoctorDistance;
    }

    public void setOtherDoctorDistance(String otherDoctorDistance) {
        this.otherDoctorDistance = otherDoctorDistance;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSceneImg() {
        return sceneImg;
    }

    public void setSceneImg(String sceneImg) {
        this.sceneImg = sceneImg;
    }

    public String getTopicItem() {
        return topicItem;
    }

    public void setTopicItem(String topicItem) {
        this.topicItem = topicItem;
    }

    public List<BaseEmergencyWarnLogDO> getOrderLogInfo() {
        return orderLogInfo;
    }

    public void setOrderLogInfo(List<BaseEmergencyWarnLogDO> orderLogInfo) {
        this.orderLogInfo = orderLogInfo;
    }

    public List<PatientSosContactsDO> getSosContacts() {
        return sosContacts;
    }

    public void setSosContacts(List<PatientSosContactsDO> sosContacts) {
        this.sosContacts = sosContacts;
    }

    public List<Map<String, Object>> getSecurityDevices() {
        return securityDevices;
    }

    public void setSecurityDevices(List<Map<String, Object>> securityDevices) {
        this.securityDevices = securityDevices;
    }

    public String getOverTimeNotResponse() {
        return overTimeNotResponse;
    }

    public void setOverTimeNotResponse(String overTimeNotResponse) {
        this.overTimeNotResponse = overTimeNotResponse;
    }

    @JSONField(name = "OrderType")
    public Integer getOrderType() {
        return OrderType;
    }

    public void setOrderType(Integer orderType) {
        OrderType = orderType;
    }
}
